### compiler
ARM GNU Toolchain 4.8.2 for Cortex-A

### dependencies
*zlib-1.2.3\** \
*libxml2-2.9.5\** \
*boost-1.56.0\**

**[make - zlib]**
```
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
./configure --prefix=</path/to/zlib-output> --shared
make
make install
```

**[make - libxml2]**
```
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
export CFLAGS=-I</path/to/zlib-output-include>
export LDFLAGS=-L</path/to/zlib-output-lib>
./configure --prefix=</path/to/libxml2-output> --host=arm-linux --without-python --without-lzma 
make
make install
```

**[make - boost]**
```
export PATH=$PATH:</cross-compile/bin>
export BOOST_ROOT=</path/of/boost_src>
./bootstrap.sh --with-toolset=gcc --prefix=$BOOST_ROOT/install --with-libraries=all
touch user-config.jam
echo "using gcc : arm : arm-linux-gnueabi-gcc ; using mpi ;" > user-config.jam
./b2 install --prefix=$BOOST_ROOT/install toolset=gcc --user-config=./user-config.jam --without-python --without-context --without-coroutine -sNO_BZIP2=1
```

**[make - libVLC]**

NOTES : If compiler is not for floating point compilation, please add below options  
export CFLAGS = -mfloat-abi=softfp -mfpu=neon-vfpv4  
export CPPFLAGS = -mfloat-abi=softfp -mfpu=neon-vfpv4

```
export XML2_INSTALL_PREFIX=</path/to/libxml2-output>
export BOOST_INSTALL_PREFIX=</path/to/boost-output>
export ZLIB_INSTALL_PREFIX=</path/to/zlib-output>
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_GPP=arm-linux-gnueabi-g++
export CC=${CROSS_COMPILE_GCC} CXX=${CROSS_COMPILE_GPP}
make
```
